Bug 111277 - undefined code
Summary: undefined code
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-01 18:22 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 09:02:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-12-01 18:22:51 UTC
Description of problem:
I just tried to compile package tcpdump-3.7.2-7.1 from Fedora.

The compiler said

1.

print-isoclns.c:1300: warning: operation on `tptr' may be undefined

The source code is

                    tptr+=*tptr++;

It is unwise to do ++ and += on the same variable at the same time.

This code might be better as 

                    tptr += *tptr + 1;



Version-Release number of selected component (if applicable):
tcpdump-3.7.2-7.1 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Harald Hoyer 2003-12-02 09:25:48 UTC
please report upstream on www.tcpdump.org

Comment 2 d.binderman 2003-12-02 16:56:40 UTC
>please report upstream on www.tcpdump.org


I tried this, and I couldn't get it to work.

Could I ask you to submit this bug report for
for me, please ? 

Comment 4 Harald Hoyer 2003-12-10 10:37:32 UTC
The current CVS and x.8 branch versions have this fixed. 


Note You need to log in before you can comment on or make changes to this bug.